Subject: Re: bug#2631: get-free-disk-space when default-directory doesn't exist

From: Kevin Ryde <[email-masked]>
Date: Sat, 28 Mar 2009 10:32:45 +1100

Eli Zaretskii <[email-masked]> writes:
>
> Doesn't chdir need certain rights?

Only search perms in the parent directories leading to a given dir, I
believe.

I suppose the root dir could be unreadable/unsearchable too.  Dunno what
chdir would do in that case (I'm not brave enough to try it either!) but
certainly if the root dir is unsearchable then no subdir can work.